<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="5.0.1" />
    <PackageReference Include="GZY.Quartz.MUI" Version="1.1.5" />
    <PackageReference Include="Microsoft.AspNetCore.Session" Version="2.2.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="3.1.14" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="3.1.14">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="MySql.Data" Version="8.0.19" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="3.1.11" />
    <PackageReference Include="Obfuscar" Version="2.2.25">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="3.1.1" />
    <PackageReference Include="Tools_SqlSugar" Version="2022.4.10.4" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MS.Component.Aop\MS.Component.Aop.csproj" />
    <ProjectReference Include="..\MS.Services\MS.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="NLog.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="obfuscar.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <Target Name="PostBuild" AfterTargets="PostBuildEvent">
    <Exec Command="CD $(TargetDir)&#xD;&#xA;&quot;$(Obfuscar)&quot; obfuscar.xml" />
  </Target>

</Project>
